%define name		gyrus
%define version		0.3.9
%define release		%mkrel 1

Summary:	Gyrus is a small tool for the administration of mailboxes in IMAP/Cyrus servers.
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.gnome.org/projects/gyrus/
License:	GPL
Group:		Graphical desktop/GNOME
Source0:	http://www.gnome.org/projects/gyrus/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libgnomeprintui2-2-devel libgconfmm2.6_1-devel
BuildRequires:  libgnet-2.0_0-devel libgnomeui2_0-devel pkgconfig
BuildRequires:  libglade2.0_0-devel gettext intltool perl-XML-Parser


%description
Gyrus is a small tool for the administration of mailboxes in IMAP/Cyrus servers. 
The main idea behind it, is to provide mail server administrators with a better way 
to do the daily maintenance than a command line or a plain and boring telnet client.

The main features gyrus includes are: 
Browsing, creation and deletion of mailboxes.
Mailbox quotas control.
Management of IMAP Access Control Lists.
Creation of printable reports with over-quota mailboxes.


%prep
%setup -q

%build
%configure2_5x 

%make

%install
rm -rf %{buildroot}
%makeinstall_std


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Name=Gyrus IMAP Cyrus Administrator
Icon=/usr/share/icons/large/more_applications_section.png
Exec=gyrus
Terminal=false
X-GNOME-Bugzilla-Bugzilla=GNOME
X-GNOME-Bugzilla-Product=gyrus
X-GNOME-Bugzilla-Component=general
X-GNOME-Bugzilla-Version=0.3.9
Categories=GNOME;GTK;Network;X-MandrivaLinux-Internet-Mail;
X-Desktop-File-Install-Version=0.11
EOF

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%update_menus


%postun
%clean_menus


%files -f %{name}.lang
%defattr(-,root,root)
%_bindir/%{name}
%_datadir/%{name}
%_datadir/applications/%{name}.desktop

%changelog
* Sat Jan 23 2010 slick50 <lxgator@gmail.com> 0.3.9-1pclos2010
- initial build 
